searchData={"items":[{"type":"module","title":"NKEYS","doc":"","ref":"NKEYS.html"},{"type":"function","title":"NKEYS.from_seed/1","doc":"","ref":"NKEYS.html#from_seed/1"},{"type":"function","title":"NKEYS.public_nkey/1","doc":"","ref":"NKEYS.html#public_nkey/1"},{"type":"function","title":"NKEYS.sign/2","doc":"","ref":"NKEYS.html#sign/2"},{"type":"module","title":"NKEYS.Keypair","doc":"Contains functions for creating, manipulating, and interacting with key pairs","ref":"NKEYS.Keypair.html"},{"type":"function","title":"NKEYS.Keypair.from_public/1","doc":"Creates a new keypair from a string-encoded public key. Note that this keypair will _not_\nhave a private key and as such won't be able to sign or encrypt","ref":"NKEYS.Keypair.html#from_public/1"},{"type":"function","title":"NKEYS.Keypair.from_seed/1","doc":"Creates a new key pair from an encoded seed string ('**S**' prefix)","ref":"NKEYS.Keypair.html#from_seed/1"},{"type":"function","title":"NKEYS.Keypair.new_account/0","doc":"Creates a new key pair used for identifying an account (prefix '**A**')","ref":"NKEYS.Keypair.html#new_account/0"},{"type":"function","title":"NKEYS.Keypair.new_cluster/0","doc":"Creates a new key pair used for identifying a cluster (prefix '**C**')","ref":"NKEYS.Keypair.html#new_cluster/0"},{"type":"function","title":"NKEYS.Keypair.new_operator/0","doc":"Creates a new key pair used for identifying a system operator (prefix '**O**')","ref":"NKEYS.Keypair.html#new_operator/0"},{"type":"function","title":"NKEYS.Keypair.new_server/0","doc":"Creates a new key pair used for identifying a server (prefix '**N**')","ref":"NKEYS.Keypair.html#new_server/0"},{"type":"function","title":"NKEYS.Keypair.new_user/0","doc":"Creates a new key pair used for identifying a user (prefix '**U**')","ref":"NKEYS.Keypair.html#new_user/0"},{"type":"function","title":"NKEYS.Keypair.new_xkey/0","doc":"Creates a new key pair used for ed25519 encryption (prefix '**X**')","ref":"NKEYS.Keypair.html#new_xkey/0"},{"type":"function","title":"NKEYS.Keypair.public_key/1","doc":"Extracts the human-friendly, string-encoded public key from the keypair","ref":"NKEYS.Keypair.html#public_key/1"},{"type":"function","title":"NKEYS.Keypair.sign/2","doc":"Signs a message with the given key pair. Note that the key pair\nmust have a private key in order to create the signature.","ref":"NKEYS.Keypair.html#sign/2"},{"type":"type","title":"NKEYS.Keypair.t/0","doc":"","ref":"NKEYS.Keypair.html#t:t/0"},{"type":"module","title":"NKEYS.Xkeys","doc":"Contains functions for using curve (X) keys for sending and receiving encrypted\nmessages","ref":"NKEYS.Xkeys.html"},{"type":"function","title":"NKEYS.Xkeys.open/3","doc":"Performs authenticated decryption by extracting data from the ed25519 \"box\". Note that the\nkeys passed to this function need to come from the `Nkeys.Keypair` struct fields and must\nnot be human-friendly encoded strings.","ref":"NKEYS.Xkeys.html#open/3"},{"type":"function","title":"NKEYS.Xkeys.seal/3","doc":"Performs authenticated encryption by creating a ed25519 \"box\". Note that the keys passed to this\nfunction need to be raw keys, e.g. `keypair.public_key` and `keypair.private_key` and must **_not_**\nbe in the human-friendly string encoding format.","ref":"NKEYS.Xkeys.html#seal/3"},{"type":"extras","title":"Nkeys","doc":"# Nkeys\n\n[![hex.pm](https://img.shields.io/hexpm/v/nkeys.svg)](https://hex.pm/packages/nkeys)\n[![hex.pm](https://img.shields.io/hexpm/dt/nkeys.svg)](https://hex.pm/packages/nkeys)\n[![hex.pm](https://img.shields.io/hexpm/l/nkeys.svg)](https://hex.pm/packages/nkeys)\n[![github.com](https://img.shields.io/github/last-commit/nats-io/nkeys.ex.svg)](https://github.com/nats-io/nkeys.ex)\n\n\nNkeys is an Elixir port of the original [Go](https://github.com/nats-io/nkeys) library. This library allows for the encoding and decoding of NATS keys\nin their human-friendly, double-clickable string format. Additionally, this library supports `Xkeys` encryption and \ndecryption.","ref":"readme.html"},{"type":"extras","title":"Installation - Nkeys","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `nkeys` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:nkeys, \"~> 0.3.0\"}\n  ]\nend\n```","ref":"readme.html#installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}